<%@ page language="C#" autoeventwireup="true" inherits="admin_spider_weblist, localhost_deploy" %>

<%@ Register Src="../../common/pageContent.ascx" TagName="pageContent" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
<title>网站页面</title>
<link href="/admin/common/client.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" >
function GetUrl(i_type,s_id)
{
	var s_value="",s_ret="";
	
	
	switch(i_type)
	{
		case "0":
		case "1":
		{
			
			s_value=GetRegExp($('tdxml'+s_id).innerHTML,"<W_Url>((.|\n)*?)</W_Url>",1);
			
			s_ret="<a target='_blank' href='"+s_value+"'>"+s_value+"</a>";
			break;
		}
		case "2":
		case "3":
		{
			s_value=GetRegExp($('tdxml'+s_id).innerHTML,"<W_Keys>((.|\n)*?)</W_Keys>",1);
			s_ret=s_value+ " <a target='_blank' href='http://www.baidu.com/s?wd="+asfman.urlEncode(s_value)+"'>百度</a> <a target='_blank' href='http://www.google.cn/search?hl=zh-CN&q="+encodeURI(s_value)+"&meta=&aq=f&oq='>Google</a> ";
			
			break;
		}
	}
	
	
	$('tdurl'+s_id).innerHTML=s_ret;
}
</script>
</head>
<body class="mg3">



<%
	PageContent.ImagePageBar=true;
  PageContent.Table="Sys_Collection";
	PageContent.Url = "weblist.aspx?ord=" + Para("ord") + "&pn=@pagenumber@";
	PageContent.SQL="select C_Time,C_ID,C_Name,C_Type,C_XML from Sys_Collection  ";
	PageContent.PageBody("@@Const.PageTable()@@","@@Const.PageBar(\"##Const.AddButton('webitem.aspx?ord=" + Para("ord") + "')## ##Const.DeleteButton()## \")@@  ","<tr id='trhead'>@content@</tr>","<tr id='tr_@C_id@'>@content@</tr>");
	
	PageContent.AddList("@@Const.RowToggleAll()@@","@@Const.RowToggleItem('@C_ID@')@@");
	PageContent.AddList("<td>编号</td>","<td>@ItemNumber@</td>");
	PageContent.AddList("@@Const.PageOrderField('weblist.aspx?ord=','C_ID','" + Para("ord") + "','ID')@@","<td>@C_id@</td>");
  PageContent.AddList("@@Const.PageOrderField('weblist.aspx?ord=','C_Name','" + Para("ord") + "','采集名称')@@", "<td>@C_Name@</td>");
  PageContent.AddList("@@Const.PageOrderField('weblist.aspx?ord=','C_Type','" + Para("ord") + "','采集类型')@@","<td>@@Csharp.GetSelectValue('@C_Type@','##Const.CollectionType()##')@@</td>");
  PageContent.AddList("@@Const.PageOrderField('weblist.aspx?ord=','C_Time','" + Para("ord") + "','更新时间')@@","<td>@C_Time@</td>");
  PageContent.AddList("<td>链接地址</td>","<td id='tdurl@c_id@'></td>");
  PageContent.AddList("<td class='nodsp'></td>","<td class='nodsp' id='tdxml@c_id@'>@C_XML@<script type='text/javascript'>GetUrl('@C_Type@','@c_id@')</script></td>");
  PageContent.AddList("<td> </td>","<td><a href='webitem.aspx?id=@C_id@' class='edit'>编辑</a></td>");
  
%>
<uc1:pageContent ID="PageContent" runat="server" />

</body>
</html>   
